#ifndef macrolib_ibis_ccvs_INCLUDED
#define macrolib_ibis_ccvs_INCLUDED
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_ccvs.hpp"
#endif
#ifndef macrolib_ibis_ccvs_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_ccvs_export __declspec(dllimport)
#  else
#    define macrolib_ibis_ccvs_export
#  endif
#endif
#include "smash_enum.h"
#include "std_standard.hpp"
using namespace STD;
#include "ieee_electrical_systems.hpp"
using namespace IEEE;
namespace MACROLIB
{
class macrolib_ibis_ccvs_export IBIS_CCVS {
public:
const char *mInstanceName;
static STANDARD_REAL smG_SCALE;
static unsigned smGF_SCALE;
unsigned mGF_SCALE : 1;
const STANDARD_REAL SCALE;
static ELECTRICAL_SYSTEMS_ELECTRICAL* smP_P;
static unsigned smPF_P;
static short smPT_P;
unsigned mPF_P : 4;
short mPT_P;
static const char *smAN_P;
ELECTRICAL_SYSTEMS_ELECTRICAL &P;
static double smExpression_P;
double mExpression_P;
VHDL_Dispatcher *P_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL* smP_N;
static unsigned smPF_N;
static short smPT_N;
unsigned mPF_N : 4;
short mPT_N;
static const char *smAN_N;
ELECTRICAL_SYSTEMS_ELECTRICAL &N;
static double smExpression_N;
double mExpression_N;
VHDL_Dispatcher *N_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL* smP_PS;
static unsigned smPF_PS;
static short smPT_PS;
unsigned mPF_PS : 4;
short mPT_PS;
static const char *smAN_PS;
ELECTRICAL_SYSTEMS_ELECTRICAL &PS;
static double smExpression_PS;
double mExpression_PS;
VHDL_Dispatcher *PS_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL* smP_NS;
static unsigned smPF_NS;
static short smPT_NS;
unsigned mPF_NS : 4;
short mPT_NS;
static const char *smAN_NS;
ELECTRICAL_SYSTEMS_ELECTRICAL &NS;
static double smExpression_NS;
double mExpression_NS;
VHDL_Dispatcher *NS_dispatchers;
virtual short ElaborateConfiguration(const char *, long) = 0;
public:
IBIS_CCVS();
virtual ~IBIS_CCVS();
};
extern "C" macrolib_ibis_ccvs_export const char *MACROLIB_IBIS_CCVS_GetPortName(short);
extern "C" macrolib_ibis_ccvs_export void MACROLIB_IBIS_CCVS_InitStaticGenericPort(void);
extern "C" macrolib_ibis_ccvs_export short MACROLIB_IBIS_CCVS_SetGeneric(const char *, const char *, const char *, const T_B3CIValue *);
extern "C" macrolib_ibis_ccvs_export short MACROLIB_IBIS_CCVS_SetPort(short inLang, const char *, const char *, const char *, const char *, void *, long, double, short, short);
extern "C" macrolib_ibis_ccvs_export short MACROLIB_IBIS_CCVS_InstantiateUnmappedPort(const char *);
extern "C" macrolib_ibis_ccvs_export short MACROLIB_IBIS_CCVS_Elaborate(T_B3CIHandle *, const char *, long, short);
extern "C" macrolib_ibis_ccvs_export short MACROLIB_IBIS_CCVS_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_ccvs_export short MACROLIB_IBIS_CCVS_Finalize(T_B3CIHandle);
extern "C" macrolib_ibis_ccvs_export short MACROLIB_IBIS_CCVS_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_ccvs_export short MACROLIB_IBIS_CCVS_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_ccvs_export short MACROLIB_IBIS_CCVS_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_ccvs_INCLUDED */
