#ifndef macrolib_ibis_tccs_pwl_ideal_INCLUDED
#define macrolib_ibis_tccs_pwl_ideal_INCLUDED
#include "macrolib_ibis_tccs_pwl.hpp"
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_tccs_pwl_ideal.hpp"
#endif
#ifndef macrolib_ibis_tccs_pwl_ideal_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_tccs_pwl_ideal_export __declspec(dllimport)
#  else
#    define macrolib_ibis_tccs_pwl_ideal_export
#  endif
#endif
#include "std_standard.hpp"
using namespace STD;
namespace MACROLIB {
class macrolib_ibis_tccs_pwl_ideal_export IBIS_TCCS_PWL_IDEAL : public IBIS_TCCS_PWL {
public:
ELECTRICAL_SYSTEMS_VOLTAGE VOUT;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VOUT;
ELECTRICAL_SYSTEMS_CURRENT IOUT;
ELECTRICAL_SYSTEMS_CURRENT mM1_IOUT;
STANDARD_REAL_VECTOR X_VEC;
STANDARD_REAL_VECTOR Y_VEC;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tP_through_qP_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tP_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tP_through_qIOUT_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportP_through_qIOUT_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tN_through_qN_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tN_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tN_through_qIOUT_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportN_through_qIOUT_smp;
double *exp_P_1[7];
double *exp_N_2[7];
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e4_q3_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e4_q3_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e4_q3_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VOUT_across_VOUT_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VOUT_across_P_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VOUT_across_N_smp;
ELECTRICAL_SYSTEMS_CURRENT_e4_q3_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e4_IOUTq3_smp;
short Elaborate(const char *, long);
short ElaborateDrivers(void);
virtual short ElaborateConfiguration(const char *, long);
short Initialize(long, double *);
short Finalize(void);
short AmsLink(long, long **);
short AmsBim(long, TRANS_PARAM_BIM *, long **);
short AmsConverge(long, long **, double *, unsigned char *, ANALYSISTYPE);
public:
IBIS_TCCS_PWL_IDEAL();
virtual ~IBIS_TCCS_PWL_IDEAL();
};
extern "C" macrolib_ibis_tccs_pwl_ideal_export short MACROLIB_IBIS_TCCS_PWL_IDEAL_Elaborate(T_B3CIHandle *, const char *, long);
extern "C" macrolib_ibis_tccs_pwl_ideal_export short MACROLIB_IBIS_TCCS_PWL_IDEAL_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_tccs_pwl_ideal_export short MACROLIB_IBIS_TCCS_PWL_IDEAL_Finalize(T_B3CIHandle inInstance);
extern "C" macrolib_ibis_tccs_pwl_ideal_export short MACROLIB_IBIS_TCCS_PWL_IDEAL_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_tccs_pwl_ideal_export short MACROLIB_IBIS_TCCS_PWL_IDEAL_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_tccs_pwl_ideal_export short MACROLIB_IBIS_TCCS_PWL_IDEAL_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_tccs_pwl_ideal_INCLUDED */
